# Delete Event

#### Description
Deletes an event from a user's calendar. To delete an external event, please see the [Delete External Event](/developers/api/events/delete-external-event/index.md) page.

#### URL format
```
{data_center_url}/v1/calendars/{calendar_id}/events
```

#### Example Request
```http
DELETE /v1/calendars/cal_n23kjnwrw2_jsdfjksn234/events HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "event_id": "qTtZdczOccgaPncGJaCiLg"
}
```

#### Example Response
```http
HTTP/1.1 202 Accepted
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `calendar_id` *(required)*

The `calendar_id` of the calendar you wish the event to be removed from. This ID should have been discovered by making a [list calendars request](/developers/api/calendars/list-calendars/index.md) and **must not** have a `calendar_readonly` value that is `true`.

##### `event_id` *(required)*

The [`String`](/developers/api/data-types/index.md) that uniquely identifies the event. The combination of `calendar_id` and `event_id` combination will be used to delete the event. 

Usually this will be your own internal ID for the event, encoded as a [`String`](/developers/api/data-types/index.md).</p>
##### `include_userinfo` *(optional)*

A [`Boolean`](/developers/api/data-types/index.md) specifying whether the response should include an embedded [userinfo response](/developers/api/identity/userinfo/index.md).

#### Response parameters
This request has no response body unless `include_userinfo` was specified, in which case it will include an embedded [userinfo response](/developers/api/identity/userinfo/index.md) under a `userinfo` parameter.

#### Error responses
##### 401 Unauthorized

The request was refused as the provided [authentication credentials](/developers/api/authentication/index.md) were not recognized.

When an OAuth `refresh_token` is available then it should be used to [request a replacement `auth_token`](/developers/api/authorization/refresh-token/index.md) before the request is retried.

##### 403 Forbidden

The request was refused as the provided [authorization credentials](/developers/api/authorization/index.md) were recognized but does not grant the `delete_event` scope which was required for the request.

You will need to make an additional [authorization request](/developers/api/authorization/request-authorization/index.md) including the `delete_event` scope before retrying the request.

##### 404 Not Found

The `calendar_id` provided was not recognized, or the authorization used to make the request has not been granted access to the calendar.

If the calendar does exist, you will need to make an additional [authorization request](/developers/api/authorization/request-authorization/index.md) including the `delete_event` scope, asking the user to authorize access to the calendar, before retrying the request.

##### 422 Unprocessable

The request was unable to be processed due to it containing invalid parameters.

The response will contain a JSON object containing one or more errors relating to the invalid parameters.

For example, if you omitted the required `tzid` parameter, you would receive a response like:

```json
{
  "errors": {
    "tzid": [
      {
        "key": "errors.required",
        "description": "required"
      }
    ]
  }
}
```

The `key` field is intended for programmatic use and the `description` field is a human-readable equivalent.



---
[Read in HTML](/developers/api/events/delete-event/)